﻿using System.ComponentModel;

namespace SampleCode
{
    public class UploadWorker : IWorker
    {
        public void Execute(object sender, DoWorkEventArgs e)
        {
            ObservableQueue<DataItem> pendingData =
                ((SampleCode.App)App.Current).PendingData;
            while (pendingData.Count > 0)
            {
                DataItem item = pendingData.Peek();
                if (SaveItem(item))
                {
                    pendingData.Dequeue();
                }
            }
        }

        private bool SaveItem(DataItem item)
        {
            bool result = true;
            //Upload item to webservice
            System.Diagnostics.Debug.WriteLine("Saving to webservice: " + item.Title + ", " + item.Detail);
            return result;
        }
    }

}
